global:
  scrape_interval: 15s # How often to scrape targets

scrape_configs:
  # 1. Prometheus Self-Monitoring
  - job_name: 'prometheus'
    static_configs:
      - targets: ['localhost:9090']

  # 2. Django Application Metrics
  - job_name: 'django-app'
    static_configs:
      - targets: ['gcic-backend:8791']
    metrics_path: '/api/dashboard/metrics'
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance
        replacement: gcic-backend

  # 3. Container & Host Metrics via cAdvisor
  - job_name: 'cadvisor'
    static_configs:
      - targets: ['cadvisor:8080']

  # 4. MySQL Exporter Metrics
  - job_name: 'mysql'
    static_configs:
      - targets: ['mysqld_exporter:9104']
    metrics_path: '/metrics'
    relabel_configs:
      - source_labels: [__address__]
        target_label: instance
        replacement: gcic-db
